import pandas as pd

def round_float_columns(csv_file):
    df = pd.read_csv(csv_file)

    # Iterate through each column
    for column in df.columns:
        # Check if the column contains float values
        if df[column].dtype == 'float64':
            # Apply rounding only to values with decimal places
            df[column] = df[column].apply(lambda x: round(x, 2) if pd.notnull(x) and '.' in str(x) else x)

    # Save the modified DataFrame back to CSV
    df.to_csv("semi_"+csv_file, index=False)
    print(f"Float column values rounded to 2 digits in {csv_file}")

# Example usage
csv_file = "TAXES.csv"

round_float_columns(csv_file)